| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Macros | Functions
tif_dirwrite.c File Reference
`#include "tiffiop.h"`

Go to the source code of this file.

## Macros
#define | TIFFCvtNativeToIEEEFloat(tif, n, fp)
#define | TIFFCvtNativeToIEEEDouble(tif, n, dp)
#define | WriteRationalPair(type, tag1, v1, tag2, v2)
#define | TIFFWriteRational(tif, type, tag, dir, v)
#define | NITEMS(x) (sizeof (x) / sizeof (x[0]))

## Functions
int | TIFFWriteDirectory (TIFF *tif)
int | TIFFCheckpointDirectory (TIFF *tif)
int | TIFFWriteCustomDirectory (TIFF *tif, toff_t *pdiroff)
int | TIFFRewriteDirectory (TIFF *tif)

## Macro Definition Documentation

#define NITEMS | ( |  | x | ) | (sizeof (x) / sizeof (x[0]))

Definition at line 810 of file tif_dirwrite.c.

#define TIFFCvtNativeToIEEEDouble | ( |  | tif,
|  |  | n,
|  |  | dp
| ) |  |

Definition at line 36 of file tif_dirwrite.c.

#define TIFFCvtNativeToIEEEFloat | ( |  | tif,
|  |  | n,
|  |  | fp
| ) |  |

Definition at line 35 of file tif_dirwrite.c.

#define TIFFWriteRational | ( |  | tif,
|  |  | type,
|  |  | tag,
|  |  | dir,
|  |  | v
| ) |  |

Value:
(dir)->tdir_tag = (tag); \
(dir)->tdir_type = (type); \
(dir)->tdir_count = 1; \
if (!TIFFWriteRationalArray((tif), (dir), &(v))) \
goto bad;

Definition at line 67 of file tif_dirwrite.c.

#define WriteRationalPair | ( |  | type,
|  |  | tag1,
|  |  | v1,
|  |  | tag2,
|  |  | v2
| ) |  |

Value:
{ \
TIFFWriteRational((tif), (type), (tag1), (dir), (v1)) \
TIFFWriteRational((tif), (type), (tag2), (dir)+1, (v2)) \
(dir)++; \
}
TIFFWriteRational
#define TIFFWriteRational(tif, type, tag, dir, v)
Definition: tif_dirwrite.c:67

Definition at line 62 of file tif_dirwrite.c.

## Function Documentation

int TIFFCheckpointDirectory | ( | TIFF * | tif | ) |

Definition at line 426 of file tif_dirwrite.c.

int TIFFRewriteDirectory | ( | TIFF * | tif | ) |

Definition at line 1246 of file tif_dirwrite.c.

int TIFFWriteCustomDirectory | ( | TIFF * | tif,
|  | toff_t * | pdiroff
| ) |  |

Definition at line 559 of file tif_dirwrite.c.

int TIFFWriteDirectory | ( | TIFF * | tif | ) |

Definition at line 414 of file tif_dirwrite.c.